import { jsx } from "react/jsx-runtime";
import { TokenEXTRA as TokenEXTRA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEXTRA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EXTRA", "data-name": "TokenEXTRA", ...props, children: /* @__PURE__ */ jsx(TokenEXTRA$1, { variant }) });
  }
);
TokenEXTRA.displayName = "TokenEXTRA";
Object.assign(TokenEXTRA, { isGdsIcon: true });
export {
  TokenEXTRA
};
